{% extends 'base.html.twig' %}


{% block title %}Item{% endblock %}

{% block body %}

    <div class="container">
        <div class="row">
            <div class="col-md-8">
                <img class="img-fluid" src="{{ asset('/uploads/'~item.image) }}" alt="">

            </div>
            <div class="col-md-4">
                <h2>{{ item.name }}</h2>
                <h4>{{ item.brand }}</h4>
                <p><strong>Size :</strong> {{ item.size }}</p>
                <p><strong>Category :</strong> {{ item.category }}</p>
                {% if item.nbreTickets > 0 %}
                    <p><strong>Tickets :</strong> {{ item.nbreTickets }}</p>
                    <p><strong>Price per ticket :</strong> {{ item.priceTicket }}{{ item.seller.currency.symbol }}</p>

                    <!-- Progress bar -->
                    {% set percent = item.soldTickets*100/item.nbreTickets %}
                    <div class="ui indicating progress active" data-percent="{{ percent }}">
                        <div class="bar" style="width:{{ percent }}%;"></div>
                        <div class="label">Progress</div>
                    </div>

                {% endif %}


                {% if app.user %}
                    {% if app.user.username == item.seller.mail %}

                        <form class="editForm" action="{{ path('item_edit', {'id': item.id}) }}" method="post">

                            <button class="btn btn-primary btnshow">Edit</button>
                        </form>

                        {{ include('item/_delete_form.html.twig') }}
                    {% else %}
                        {% if percent < 100 %}
                            <a href="#copModal" data-toggle="modal" class="btn btn-success btnshow">Cop</a>
                        {% endif %}
                    {% endif %}
                {% endif %}

                <a class='btn btn-secondary' href="{{ path('item_index') }}">Back</a>

            </div>
        </div>
    </div>

    {% if app.user %}

        <!-- Case : connected -->
        <div id="copModal" class="modal" tabindex="-1" role="dialog" aria-labelledby="copModalLabel">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Buy tickets</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <p>Price per ticket : <strong>{{ item.priceTicket }}€</strong></p>
                        <p>You are about to purchase <strong>1</strong> ticket</p>

                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <a class="btn btn-success" href="{{ path('buyTickets', {'id':item.id}) }}">Buy ticket</a>
                    </div>
                </div>
            </div>
        </div>
    {% else %}
        <!-- Case : Not Connected -->
        <div id="copModal" class="modal" tabindex="-1" role="dialog" aria-labelledby="copModalLabel">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Buy tickets</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <p>You need to be connected to buy tickets.</p>
                    </div>
                    <div class="modal-footer">
                        <a class="btn btn-primary" href="{{ path('app_login') }}">Login</a>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
    {% endif %}

    <style media="screen">
        a {
            margin: 0 auto;
        }

        .btnshow {
            margin: 0 auto;
            width: 100%;
            margin-bottom: 1%;
        }

        .editForm {
            margin: 0 auto;
        }
    </style>

{% endblock %}
